## afnix 2.5.1

=== Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix top level makefile                                                 -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR          = .
CONFFILE	= cnf/mak/afnix-conf.mak
RULEFILE	= cnf/mak/afnix-rule.mak
include		$(CONFFILE)

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all   : build
.PHONY: all

# include: afnix-rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: debug
# configure the world in debug mode

debug:
	@$(TEST) -f bld/cnf/afnix-comp.mak && \
         $(TEST) -f bld/cnf/afnix-plat.mak || ./cnf/bin/afnix-setup -g
.PHONY: debug

# rule: optimized
# configure the world in optimized mode

optimized:
	@$(TEST) -f bld/cnf/afnix-comp.mak && \
         $(TEST) -f bld/cnf/afnix-plat.mak || ./cnf/bin/afnix-setup -o
.PHONY: optimized

# rule: build
# this rule build the complete source tree

build: debug
	@${MAKE} -C src all
	@${MAKE} -C prj all
	@${MAKE} devel
.PHONY: build

# rule: world
# this rule build the optimized world

world: optimized
	@${MAKE} -C src all
	@${MAKE} -C prj all
	@${MAKE} devel
.PHONY: world

# rule: test
# this rule build and test all libraries

test:
	@${MAKE} -C src test
	@${MAKE} -C prj test
.PHONY: test

# rule: devel
# this rule install the development file

devel:
	@${MAKE} -C cnf devel
	@${MAKE} -C tst devel
.PHONY: devel

# rule: doc
# this rule build the documentation

doc:
	@${MAKE} -C doc doc
	@${MAKE} -C src doc
	@${MAKE} -C prj doc
.PHONY: doc

# rule: distri
# this rule creates the distribution

distri:
	@$(MKDIR) $(BLDDST)
	@$(CP)    Makefile $(BLDDST)
	@${MAKE}  -C cnf distri
	@${MAKE}  -C src distri
	@${MAKE}  -C prj distri
	@${MAKE}  -C tst distri
	@${MAKE}  -C etc distri
	@${MAKE}  -C exp distri
	@${MAKE}  -C doc distri
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@${MAKE}  -C src install
	@${MAKE}  -C prj install
	@${MAKE}  -C etc install
.PHONY: install

# rule: publish
# this rule install the documentation

publish:
	@${MAKE}  -C doc publish
	@${MAKE}  -C src publish
	@${MAKE}  -C prj publish
.PHONY: publish

# rule: deb
# create a debian package for this release

deb:
	@${MAKE}  -C cnf/pkg/deb
	@(cd $(BLDDEB); ./debian/rules build; fakeroot ./debian/rules binary)
.PHONY: deb

# rule: clean
# This rule cleans the distribution.

clean::
	@${MAKE} -C cnf clean
	@${MAKE} -C src clean
	@${MAKE} -C prj clean
	@${MAKE} -C tst clean
	@${MAKE} -C exp clean
	@${MAKE} -C doc clean
	@${MAKE} -C etc clean
	@$(RMDIR) $(BLDBIN)
	@$(RMDIR) $(BLDLIB)
	@$(RMDIR) $(BLDHDR)
	@$(RMDIR) $(BLDDST)
	@$(RMDIR) $(BLDDOC)
.PHONY: clean

# rule: reset
# This rule reset the whole distribution and configuration

reset: clean
	@$(RMDIR) $(BLDDIR)
.PHONY: reset

=== cnf/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix cnf makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development files

devel:
	@${MAKE} -C bin devel
	@${MAKE} -C mak devel
.PHONY: devel

# rule: distri
# this rule install the mak files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C bin distri
	@${MAKE}  -C def distri
	@${MAKE}  -C mak distri
	@${MAKE}  -C pkg distri
.PHONY: distri

# rule: clean
# This rule cleans the configuration.

clean::
	@${MAKE} -C bin clean
	@${MAKE} -C def clean
	@${MAKE} -C mak clean
	@${MAKE} -C pkg clean

=== doc/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix doc makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-docs.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/doc

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which builds the documentation

all: doc
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: doc
# this rule prepare the documentation

doc:
	@${MAKE} -C xml doc
.PHONY: doc

# rule: distri
# this rule creates the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C dtd distri
	@${MAKE}  -C etc distri
	@${MAKE}  -C xml distri
.PHONY: distri

# rule: publish
# this rule install the documentation

publish:
	@${MAKE} -C etc publish
	@${MAKE} -C xml publish
.PHONY: publish

# rule: clean
# This rule cleans the directories

clean::
	@${MAKE} -C dtd clean
	@${MAKE} -C etc clean
	@${MAKE} -C xml clean

=== etc/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix etc makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/etc
EELDIR		= $(SHRDIR)/emacs/site-list

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the etc distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile       $(DSTDIR)
	@$(CP)    afnix-gud.el   $(DSTDIR)
	@$(CP)    afnix-mode.el  $(DSTDIR)
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@exit 0
.PHONY: install

# rule: emacs
# this rule install the emacs distribution

emacs:
	@$(MKDIR) $(EELDIR)
	@$(CP)    afnix-gud.el   $(EELDIR)
	@$(CP)    afnix-mode.el  $(EELDIR)
.PHONY: emacs

=== exp/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix exp makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/exp

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C ref distri
	@${MAKE}  -C api distri
	@${MAKE}  -C prj distri
.PHONY: distri

# rule: clean
# this rule clean all directories

clean::
	@${MAKE} -C ref clean
	@${MAKE} -C api clean
	@${MAKE} -C prj clean
.PHONY: clean

=== prj/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix projects makefile                                                  -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/prj

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C std all
.PHONY: build

# rule: test
# this rule build and test all projects

test:
	@${MAKE} -C std test
.PHONY: test

# rule: doc
# this rule build the documentation

doc:
	@${MAKE} -C std doc
.PHONY: doc

# rule: distri
# this rule installs the src distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C std distri
.PHONY: distri

# rule: install
# this rule installs the distribution

install:
	@${MAKE} -C std install
.PHONY: install

# rule: publish
# this rule publish the documentation

publish:
	@${MAKE} -C std publish
.PHONY: publish

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C std clean
.PHONY: clean

=== src/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix src makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/src

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C lib all
	@${MAKE} -C mod all
	@${MAKE} -C srv all
	@${MAKE} -C clt all
.PHONY: build

# rule: interp
# this rule build the base interpreter

interp:
	@${MAKE} -C lib all
	@${MAKE} -C clt interp
.PHONY: build

# rule: test
# this rule build and test all libraries

test:
	@${MAKE} -C lib test
	@${MAKE} -C clt test
	@${MAKE} -C mod test
	@${MAKE} -C srv test
.PHONY: test

# rule: doc
# this rule build the documentation

doc:
	@${MAKE} -C mod doc
	@${MAKE} -C srv doc
	@${MAKE} -C clt doc
.PHONY: doc

# rule: distri
# this rule install the src distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C lib distri
	@${MAKE}  -C mod distri
	@${MAKE}  -C srv distri
	@${MAKE}  -C clt distri
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@${MAKE}  -C lib install
	@${MAKE}  -C mod install
	@${MAKE}  -C srv install
	@${MAKE}  -C clt install
.PHONY: install

# rule: publish
# this rule install the documentation

publish:
	@${MAKE}  -C mod publish
	@${MAKE}  -C srv publish
	@${MAKE}  -C clt publish
.PHONY: publish

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C lib clean
	@${MAKE} -C mod clean
	@${MAKE} -C srv clean
	@${MAKE} -C clt clean
.PHONY: clean

=== tst/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix tst makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/tst

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which run the test rule

all: test
.PHONY: test

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development files

devel:
	@${MAKE} -C ref devel
	@${MAKE} -C mod devel
.PHONY: devel

# rule: test
# this rule runs all test suite

test:
	@${MAKE}  -C ref
	@${MAKE}  -C mod
.PHONY: test

# rule: distri
# this rule install the mak files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C ref distri
	@${MAKE}  -C mod distri
.PHONY: distri

# rule: clean
# This rule cleans the configuration.

clean::
	@${MAKE} -C ref clean
	@${MAKE} -C mod clean

=== cnf/bin/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix bin makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/bin
DVLDIR		= $(BLDDVL)/bin

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development file

devel:
	@$(MKDIR) $(DVLDIR)
	@$(CP)    afnix-mkdir $(DVLDIR)
	@$(CP)    afnix-fxdir $(DVLDIR)
	@$(CP)    afnix-aexec $(DVLDIR)
	@$(CP)    afnix-bexec $(DVLDIR)
.PHONY: devel

# rule: distri
# this rule install the bin files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile    $(DSTDIR)
	@$(CP)    afnix-aexec $(DSTDIR)
	@$(CP)    afnix-bexec $(DSTDIR)
	@$(CP)    afnix-guess $(DSTDIR)
	@$(CP)    afnix-fxdir $(DSTDIR)
	@$(CP)    afnix-mkdir $(DSTDIR)
	@$(CP)    afnix-query $(DSTDIR)
	@$(CP)    afnix-setup $(DSTDIR)
	@$(CP)    afnix-vcomp $(DSTDIR)
.PHONY: distri

=== cnf/def/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix def makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/def

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the def files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@$(CP)    *.def    $(DSTDIR)
.PHONY: distri

=== cnf/mak/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix mak makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/mak
DVLDIR		= $(BLDDVL)/mak

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development file

devel:
	@$(MKDIR) $(DVLDIR)
	@$(CP)    *.mak    $(DVLDIR)
.PHONY: devel

# rule: distri
# this rule install the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@$(CP)    *.mak    $(DSTDIR)
.PHONY: distri

=== cnf/pkg/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix pkg makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2015 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/pkg

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the pkg files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile  $(DSTDIR)
	@${MAKE}  -C deb distri
.PHONY: distri

# rule: clean
# This rule cleans the configuration.

clean::
	@${MAKE} -C deb clean

=== debian/changelog ===
afnix (2.5.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #789968)
  * Update debian/control.
    - Update Standards-Version to 3.9.6.
  * Add support mips64(el) and ppc64el. (Closes: #741508, #748146)
  * Add patches/support-gcc-5.x.patch. (Closes: #777767)
    - Fix build with gcc-5.x.
  * Add patches/Disable-NET0001.als.patch.
    - Disable test of NET0001.als.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 11 Jul 2015 02:00:35 +0900

afnix (2.4.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update debian/control.
    - Update Standards-Version to 3.9.5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 26 Aug 2014 09:44:41 +0900

afnix (2.3.1-1) UNRELEASED; urgency=low

  * New upstream release.
  * Update debian/control.
    - Add Vcs-Git and Vcs-Browser field.
    - Update Standards-Version to 3.9.4.
  * Update debian/rules.
    - Fix the function to change the name of manpage.
    - Remove install stuff for emacs-lisp.
  * Update patches/use-dpkg-buildflags.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 19 Oct 2013 15:20:06 +0900

=== debian/control ===
Source: afnix
Section: interpreters
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), libncurses5 (>= 5.5), libncurses5-dev (>= 5.5),
	dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: http://www.afnix.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/afnix.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/afnix.git

Package: afnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: afnix-doc
Conflicts: aleph
Replaces: aleph
Section: interpreters
Description: Compiler and run-time for the AFNIX programming language
 AFNIX is a multi-threaded functional programming language with
 dynamic symbol bindings that support the object oriented paradigm.
 The language features a state of the art runtime engine. The
 distribution is available with several clients and a rich set
 of modules that are designed to be platform independent.

Package: afnix-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: afnix
Section: doc
Description: Compiler and run-time for the AFNIX programming language (documentation)
 AFNIX is a multi-threaded functional programming language with
 dynamic symbol bindings that support the object oriented paradigm.
 The language features a state of the art runtime engine. The
 distribution is available with several clients and a rich set
 of modules that are designed to be platform independent.
 .
 This package contains the documentation for AFNIX.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g" http://www.afnix.org/ftp/afnix-src-([0-9]+.[0-9]+.[0-9]+)\.tgz

## afnix 2.6.3

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR          = .

=== cnf/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== doc/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== etc/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== exp/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== prj/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== src/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== tst/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ..

=== cnf/bin/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== cnf/def/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== cnf/mak/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== cnf/pkg/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # - the copyright holder be  liable for  any direct, indirect, incidental or -
 # - special damages arising in any way out of the use of this software.      -
 # ----------------------------------------------------------------------------
-# - copyright (c) 1999-2015 amaury darsch                                    -
+# - copyright (c) 1999-2016 amaury darsch                                    -
 # ----------------------------------------------------------------------------
 
 TOPDIR		= ../..

=== debian/changelog ===
afnix (2.6.3-1) unstable; urgency=medium

  * Update to 2.6.3.
  * Update patches/use-dpkg-buildflags-gcc6.patch.
    Basic code was applied to upstream. But not support overriding config yet.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Aug 2016 04:22:27 +0900

afnix (2.6.2-3) unstable; urgency=medium

  * Fix build on arm64. (Closes: #814040)
    Add patches/support_arm64.patch.
    Thanks to Edmund Grimley Evans <edmund.grimley.evans@gmail.com>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 22 Aug 2016 23:36:21 +0900

afnix (2.6.2-2) unstable; urgency=medium

  * Fix build on some architecture. (Closes: #815436)
    Add patches/resolve-comparison-signed-unsigned.patch.
  * Fix build with gcc6.
    Update patches/use-dpkg-buildflags-gcc6.patch.
  * Update Standards-Version to 3.9.8.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Aug 2016 05:19:10 +0900

afnix (2.6.2-1) unstable; urgency=medium

  * Update to 2.6.2.
  * Remove patches. applied in upstream.
    debian/patches/mips64-support.patch
    debian/patches/ppc64el-support.patch
    debian/patches/sh4_support.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Feb 2016 00:56:29 +0900

afnix (2.6.0-1) unstable; urgency=medium

  * Update to 2.6.0.
  * Add support gcc 6. (Closes: #812018)
    Add patches/use-dpkg-buildflags-gcc6.patch.
  * Remove libncurses5 from B-D. (Closes: #807092)
  * Update patches/Disable-NET0001.als.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Jan 2016 17:22:49 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: interpreters
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 9), libncurses5 (>= 5.5), libncurses5-dev (>= 5.5),
+Build-Depends: debhelper (>= 9), libncurses5-dev (>= 5.5),
 	dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.afnix.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/afnix.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/afnix.git

## afnix 2.8.0

=== debian/changelog ===
afnix (2.8.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Cleanup patches.
    - Remove patches/remove_SYS0008.als.patch.
    - Add patches/sys_test_ctl.patch.
    - Remove patches/Disable-NET0001.als.patch.
    - Add patches/net_test_ctl.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Sep 2017 05:20:50 +0900

afnix (2.8.0-2) experimental; urgency=medium

  * Disable NET0003.als on armel, mips, s390x, hurd-i386, m68k, ppc64 and sh4.
    - Add patches/sec_test_ctl.patch.
    - Remove patches/Disable-SEC0004.als.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Sep 2017 09:14:22 +0900

afnix (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Add-support-gcc-7.patch and use-dpkg-buildflags-for-gcc7.patch.
    (Closes: 853302)
  * Update debian/control.
    - Update Standards-Version to 4.1.0.
    - Update debhelper 10.
  * Add patches/Disable-SEC0004.als.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Sep 2017 06:27:40 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: interpreters
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 9), libncurses5-dev (>= 5.5),
+Build-Depends: debhelper (>= 10), libncurses5-dev (>= 5.5),
 	dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://www.afnix.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/afnix.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/afnix.git
